Subject: Last Calls: [SOME RFCs] to HISTORIC RFCs

From: Mykyta Yevstifeyev <[email-masked]>
Date: Fri, 28 Oct 2011 07:45:20 +0300

Hello,

I'm in favor of moving these RFCs to Historic:

RFC 1005 (ARPANET AHIP-E Host Access Protocol (enhanced AHIP)),
RFC 979 (PSN End-to-End functional specification),
RFC 878 (ARPANET 1822L Host Access Protocol) and all predecessors,
RFC 852 (ARPANET short blocking feature),

and do not mind moving these, which are superseded by others, to Historic:

RFC 1490 (Multiprotocol Interconnect over Frame Relay) and PS predecessor,
RFC 1293 (Inverse Address Resolution Protocol),
RFC 1619 (PPP over SONET/SDH).

However, with respect to the first list: there are a great number of 
RFCs which are also to be classified as Historic, and this list exceeds 
the provided several times (at least look at RFC 1000, bullet 2).  With 
respect to the second list: there are a great number of other RFCs which 
have been supersedes by others, and there are really a few which deserve 
not moving them to Historic.

Or this is the first round of clean-up only?

Mykyta Yevstifeyev

---

From: Michael StJohns <[email-masked]>
Date: Fri, 28 Oct 2011 00:59:40 -0400

I would suggest that the pre-IETF RFCs that weren't adopted as Internet standards (I.e. the first four you listed) are not properly the purview of the IETF for the purpose of declaring them historical.  

For the other three - a quick check indicates these were properly superseded as you note.  The Historical status is for the Standard, not for one of its previous document versions. The appropriate status for the document is superseded, the status for the standards (and the current documents ) should remain as is, unless they are no longer being seen in the wild. 

While I appreciate the cleanup attempts, let's try not to overreach.  

Mike

Sent from my iPad

On Oct 28, 2011, at 0:45, Mykyta Yevstifeyev <[email-masked]> wrote:

> However, with respect to the first list: there are a great number of RFCs which are also to be classified as Historic, and this list exceeds the provided several times (at least look at RFC 1000, bullet 2).  With respect to the second list: there are a great number of other RFCs which have been supersedes by others, and there are really a few which deserve not moving them to Historic.
> 
> _______________________________________________
> Ietf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf

---

From: Russ Housley <[email-masked]>
Date: Fri, 28 Oct 2011 10:02:37 -0400

These were requested by one of the authors of the RFCs in question.

We will gladly consider other requests.

Russ

---

From: Randy Bush <[email-masked]>
Date: Fri, 28 Oct 2011 07:36:11 -0700

we don't have enough real work to do?

randy

---

From: Frank Ellermann <[email-masked]>
Date: Fri, 28 Oct 2011 17:33:33 +0200

> we don't have enough real work to do?

Clean up is necessary work.  Some hours ago
I tried to understand a discussion about the
"ISE" (independent stream), and gave up on
it when the maze of updates obsoleting RFCs
which updated other RFCs turned out to be
as complex as the colossal cave adventure.

-Frank

---

From: Randy Bush <[email-masked]>
Date: Fri, 28 Oct 2011 11:46:34 -0700

> as complex as the colossal cave adventure.

QED

---

From: Ronald Bonica <[email-masked]>
Date: Fri, 28 Oct 2011 15:56:58 -0400

Randy,

Reclassifying old documents to historic is like cleaning your attic. Cleaning the attic may seem like a terrible waste of time and effort while you are doing it, but it makes your life much easier the next time you have to find or store something up there.

                                                Ron

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Randy Bush
> Sent: Friday, October 28, 2011 2:47 PM
> To: Frank Ellermann
> Cc: IETF Discussion
> Subject: Re: Last Calls: [SOME RFCs] to HISTORIC RFCs
>

---

From: "Andrew G. Malis" <[email-masked]>
Date: Fri, 28 Oct 2011 16:21:04 -0400

Randy,

I was the source of the request that started all this, so you can
blame me! Of course, if you have replied a bit earlier, we could have
discussed this over lunch yesterday! :-)

Cheers,
Andy

---

From: "t.petch" <[email-masked]>
Date: Sat, 29 Oct 2011 12:25:20 +0200

----- Original Message -----
From: "Ronald Bonica" <[email-masked]>
To: "Randy Bush" <[email-masked]>; "Frank Ellermann"
<[email-masked]>
Cc: "IETF Discussion" <[email-masked]>
Sent: Friday, October 28, 2011 9:56 PM

> Randy,
>
> Reclassifying old documents to historic is like cleaning your attic. Cleaning
the attic may seem like a terrible waste of time and effort while you are doing
it, but it makes your life much easier the next time you have to find or store
something up there.
>                                                 Ron

Ron,

Given the time that has elapsed since this list last discussed Historicising, I
had almost forgotten that I read the message below; that seemed a good statement
then and seems a good one now.

"Folks,

After reading responses from Scott, John and Keith, I think that I get it. No
matter how low hanging I believe the fruit to be, this isn't going to be cheap
or easy. So, I withdraw the proposal and apologize to Mykyta for having wasted
his time.

                                                     Ron
> From: t.petch [mailto:[email-masked]]
> Sent: Friday, September 16, 2011 10:24 AM
> To: Cyrus Daboo
> Cc: IETF Discussion; Keith Moore; Ronald Bonica
> Subject: Re: Pre-IETF RFCs to Historic (not really proposing)
"
======================================================

---

From: Michael StJohns <[email-masked]>
Date: Sat, 29 Oct 2011 18:22:36 -0400

Hi Andy -

As I said elsewhere - it seems silly to move a superseded document to "Historic" when you don't move the Standard to "Historic".   In the case of three of these RFCs, the new entry will read "Obsoleted by XXXX" "Status: Historic".  If I happen to read that entry and not notice the "Obsoleted by" or not know that what we really meant was "the document is historic, but not the standard", I might be pretty confused if I later encounter the document's successor or something in the wild that implements one of the versions of the standard.

The appropriate status for superseded documents is "Obsoleted by:" with whatever status the standard currently has.   That's always been the understood meaning and I'm not sure why we're suddenly going back and changing things. If you want to move the three document groups of standards to Historical en mass, I'm fine with that, but not with just going back and declaring that a previous version of the standard is Historic - way too confusing.

With respect to the other four documents (e.g. Milo's baby et al) - they aren't IETF documents, they weren't adopted as Internet Standards (unlike TCP and IP) and we shouldn't be twiddling with their status.  They don't belong to us.   Most of the pre-1000 RFCs are neither standards nor even technical in nature.  A number of them are administrivia of the early Internet and ARPANET.   The status of "Unknown" is probably misleading though - maybe "Pre-IETF"?

Mike

---

From: "Andrew G. Malis" <[email-masked]>
Date: Mon, 31 Oct 2011 14:56:37 -0400

Mike, IESG,

I am going to withdraw my "Historic" request for the pre-IETF RFCs,
and I will let the IESG decide what the proper status is for IETF RFCs
that have been completely obsoleted by newer RFCs further along in the
standards track.

I'll start a discussion on the rfc-interest list regarding the proper
status for pre-IETF "UNKNOWN" RFCs.

Thanks,
Andy